Bug 143117 - sfq qdisc doesn't dequeue packets after a while
sfq qdisc doesn't dequeue packets after a while
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-16 12:18 EST by Vik Heyndrickx
Modified: 2015-01-04 17:14 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 20:26:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
script to create a QoS infrastructure, exhibits sfq problem (580 bytes, text/plain)
2004-12-16 12:21 EST, Vik Heyndrickx
no flags Details

  None (edit)
Description Vik Heyndrickx 2004-12-16 12:18:09 EST
Description of problem:
sfq qdisc stops dequeuing packets under load (hangs), causing 
complete network outage for all packets assigned to the class to 
which this sfq qdisc belongs.
If I replace the sfq's by pfifo's the problem never shows, so, 
although I am not absolutely sure, I strongly think the problem is 
situated in sfq.

Version-Release number of selected component (if applicable):
kernel-2.6.9-1.681_FC3

How reproducible:
Under high load, always within half an hour (checked on two different 
systems with rather different LAN adapters (1 Intel 10/100/100, 1 
3com 3c905c-t-xm).

Steps to Reproduce:
1. Execute the attached shell script on a router at one side attached 
to the Internet via a high speed connection (in my case cable, and in 
the second setup a 2Mbit serial connection), and at the other side a 
10/100 Ethernet switch. The $x parameter is supposed to be the name 
of the interface at the "inside".
2. Surf around on the Internet, download some things, preferrable 
with multiple flows, on a PC that uses this router to get to the 
Internet and that make the packets end up in the sfq qdisc on the 
router. After a while, all connections will drop. Pings to that host 
won't work anymore if the echo-reply packets are scheduled to the sfq 
qdisc that hangs (but the other sfq's attached to sibling classes 
will keep working normally. I checked this by pinging from that 
router by setting different QoS bits in the echo-request packet (see 
man ping)).

Observations:  
At the moment sfq decides to stop dequeuing packets 'tc' shows that 
there are 126 packets enqueued, always. Any new packet is dropped 
immediately (or replaces a packet in the sfq, don't know how the 
queuing exactly works). It remains in this situation forever, until 
the hanging qdisc is deleted (or the root qdisc). Maybe I haven't 
waited long enough, but I have waited minutes to see if the problem 
would solve itself.
Comment 1 Vik Heyndrickx 2004-12-16 12:21:27 EST
Created attachment 108721 [details]
script to create a QoS infrastructure, exhibits sfq problem
Comment 2 Dave Jones 2005-07-15 15:45:10 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 3 Dave Jones 2005-10-02 20:26:44 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.